# ApplicationFramework
TKLCAF
TNaming

# TNaming_NamedShapeHasher Class Reference

`#include <TNaming_NamedShapeHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(TNaming_NamedShape)&K, const Standard_Integer Upper)
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(TNaming_NamedShape)&K1, const Handle(TNaming_NamedShape)&K2)

## Member Function Documentation

static Standard_EXPORT Standard_Integer TNaming_NamedShapeHasher::HashCode | ( | const Handle(TNaming_NamedShape)& | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean TNaming_NamedShapeHasher::IsEqual | ( | const Handle(TNaming_NamedShape)& | K1,
|  | const Handle(TNaming_NamedShape)& | K2
| ) | `[static]`

void TNaming_NamedShapeHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_NamedShapeHasher::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_NamedShapeHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TNaming_NamedShapeHasher.hxx